# Class GetPaymentAccountFormAsJsonRequest

#### Hierarchy

- unknown
  - GetPaymentAccountFormAsJsonRequest

- Defined in src/protobuf/grpc_pb.d.ts:1948
- Defined in src/protobuf/grpc_pb.d.ts:1960

#####
Index

### Constructors

constructor

### Methods

getPaymentMethodId
serializeBinary
setPaymentMethodId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetPaymentAccountFormAsJsonRequest(): GetPaymentAccountFormAsJsonRequest

- #### Returns GetPaymentAccountFormAsJsonRequest

  Inherited from jspb.Message.constructor

## Methods

### getPaymentMethodId

- getPaymentMethodId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1949

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1952

### setPaymentMethodId

- setPaymentMethodId(value: string): GetPaymentAccountFormAsJsonRequest

- #### Parameters

  - ##### value: string

  #### Returns GetPaymentAccountFormAsJsonRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1950

### toObject

- toObject(includeInstance?: boolean): GetPaymentAccountFormAsJsonRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetPaymentAccountFormAsJsonRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1953

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetPaymentAccountFormAsJsonRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetPaymentAccountFormAsJsonRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1956

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetPaymentAccountFormAsJsonRequest, reader: BinaryReader): GetPaymentAccountFormAsJsonRequest

- #### Parameters

  - ##### message: GetPaymentAccountFormAsJsonRequest

  - ##### reader: BinaryReader

  #### Returns GetPaymentAccountFormAsJsonRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1957

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetPaymentAccountFormAsJsonRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetPaymentAccountFormAsJsonRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1955

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetPaymentAccountFormAsJsonRequest): GetPaymentAccountFormAsJsonRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetPaymentAccountFormAsJsonRequest

  #### Returns GetPaymentAccountFormAsJsonRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1954

Generated using TypeDoc